.load {
    width: 240px;
    height: 20px;
    margin: 370px auto 0;
    border-radius: 7800px;
    box-shadow: 0 0 0 7px #000000, inset 0 0 0 1px #000000;
    overflow: hidden;
    position: relative;
    animation: rotate 5s linear infinite;
}

.load:before {
    content: "";
    background-color: #ffd000;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    animation: load 1.5s linear infinite;
}

@keyframes rotate {
    0%,
    42% {
        transform: rotate(0deg);
    }
    48%,
    92% {
        transform: rotate(180deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes load {
    0% {
        width: 0;
    }
    40%,
    50% {
        width: 100%;
    }
    90%,
    100% {
        width: 0;
    }
}


/* @import url("http://fonts.googleapis.com/css?family=Press+Start+2P");
.load {
    width: 200px;
    margin: 450px auto;
}

.load-inner {
    overflow: hidden;
    height: 50px;
    border-left: 2px solid #414141;
    border-right: 2px solid #3f3f3f;
}

.box {
    position: relative;
    left: -200px;
    margin-top: 10px;
    width: 100%;
    height: 30px;
    background: #33ffbf;
    border: 1px solid #a3ffd9;
    box-shadow: 0px 0px 4px 1px #21ffb9;
    animation: preload-status-animate 0.5s infinite cubic-bezier(.75, 0, .25, 1);
}

.box2 {
    opacity: 1;
    margin-top: -22px;
    width: 100%;
    height: 30px;
    font-family: "Press Start 2P", Arial, sans-serif;
    text-align: center;
    color: #35d0ff;
    text-shadow: 0px 1px#35d0ff;
    animation: preload-status-animate-2 0.5s infinite cubic-bezier(.75, 0, .25, 1);
}

@keyframes preload-status-animate {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
    100% {
        -webkit-transform: translateX(400px);
        transform: translateX(400px)
    }
}

@keyframes preload-status-animate-2 {
    0% {
        opacity: 1;
    }
    10% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    90% {
        opacity: 1;
    }
} */